
#ifdef GL_ES
precision highp float;
#endif

varying lowp vec4 varColor;
varying mediump vec2 varTexCoord;
varying lowp vec4 varUserParm;

uniform sampler2D diffuseTexture;

varying lowp vec4 varFog;
uniform lowp vec4 fogColor;

void main (void)
{
#ifdef SHADER_OPTION_RENDER_DEPTHS
    float depth = gl_FragCoord.z;
    vec4 depthVec = vec4(depth, depth, depth, 1.0);
    gl_FragColor = depthVec;
#else

    lowp vec4 diffuse = texture2D(diffuseTexture, varTexCoord.st, 0.0);
	
	diffuse.xyz *= varUserParm.xyz;
    
#ifdef SHADER_USE_ALPHATEST
    if( diffuse.a < 0.5)
    {
        discard;
//        diffuse = lowp vec4( 1.0, 0.0, 0.0, 1.0 );
    }
    else
    {
//        diffuse = lowp vec4( 0.5, 0.0, 0.0, 1.0 );
    }
#endif

    diffuse *= clamp (varColor, varUserParm.w, 1.0);
    gl_FragColor.rgb = mix( diffuse.rgb, fogColor.rgb, varFog.a );
    gl_FragColor.a = diffuse.a;

#endif
}
