
#ifdef GL_ES
precision highp float;
#endif

varying lowp vec4 varColor;
varying lowp vec4 varFog;
varying vec2 varTexCoord;

uniform sampler2D diffuseTexture;

void main (void)
{
#if 0
    float depth = gl_FragCoord.z;
    vec4 depthVec = vec4(depth, depth, depth, 1.0);
    gl_FragColor = depthVec;
#else

    vec4 diffuse = texture2D(diffuseTexture, varTexCoord.st, 0.0);
    
#if 1
    if( diffuse.a < 0.5)
    {
        discard;
    }
#endif

    vec4 col = varColor * diffuse;
    gl_FragColor.rgb = mix( col.rgb, mediump vec3(0.0, 0.0, 0.0), varFog.a );
    gl_FragColor.a = col.a;
    
//    gl_FragColor =  varColor * diffuse;
    
#endif
}
