
#ifdef GL_ES
precision highp float;
#endif

varying lowp vec4 varColor;
varying vec2 varTexCoord;

uniform sampler2D diffuseTexture;

void main (void)
{
#ifdef SHADER_OPTION_RENDER_DEPTHS
    float depth = gl_FragCoord.z;
    vec4 depthVec = vec4(depth, depth, depth, 1.0);
    gl_FragColor = depthVec;
#else

    vec4 diffuse = texture2D(diffuseTexture, varTexCoord.st, 0.0);
    
#ifdef SHADER_OPTION_ALPHA_TEST
    if( diffuse.a < 0.5)
    {
        discard;
    }
#endif

    gl_FragColor =  varColor * diffuse;
    
#endif
}
 