
#ifdef GL_ES
precision highp float;
#endif

varying lowp vec4 varColor;
varying lowp vec4 varFog;
varying vec2 varTexCoord;

uniform sampler2D diffuseTexture;
uniform vec4 fogColor;

void main (void)
{
#ifdef SHADER_OPTION_RENDER_DEPTHS
    float depth = gl_FragCoord.z;
    vec4 depthVec = vec4(depth, depth, depth, 1.0);
    gl_FragColor = depthVec;
#else

    vec4 diffuse = texture2D(diffuseTexture, varTexCoord.st, 0.0);
    
#ifdef SHADER_OPTION_ALPHA_TEST
    if( diffuse.a < 0.5)
    {
        discard;
    }
#endif

#ifdef SHADER_OPTION_ENABLE_FOG
    vec4 col = varColor * diffuse;
    gl_FragColor.rgb = mix( col.rgb, fogColor.rgb, varFog.a );
//    gl_FragColor.rgb = varFog.aaa;
    gl_FragColor.a = col.a;
#else
    gl_FragColor =  varColor * diffuse;
#endif
    
#endif
}
  