
#ifdef GL_ES
precision highp float;
#endif

// Vertex inputs
attribute vec4 inPosition;  
attribute vec4 inColor;
attribute vec4 inNormal;
attribute vec2 inTexCoord;

// projection matrix
uniform mat4 modelViewProjectionMatrix;
uniform vec4 shadow;
uniform vec4 fogParams;

// Vertex outputs
varying lowp vec4 varColor;
varying lowp vec4 varFog;
varying vec2 varTexCoord;

void main (void) 
{
	gl_Position	= modelViewProjectionMatrix * inPosition;
    varColor = clamp(inColor - shadow, 0.0, 1.0);
    float fogStart = fogParams.x;
    float fogMul = fogParams.y;
    float fog = (gl_Position.w - fogStart) * fogMul;
    fog = fog / 255.0;
    varFog.a = clamp(fog, 0.0, 1.0);
    varTexCoord.x = inTexCoord.x;
    varTexCoord.y = 1.0-inTexCoord.y;
}
